# Uses of Class
java.security.AlgorithmParametersSpi

Packages that use AlgorithmParametersSpi
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of AlgorithmParametersSpi in java.security

Constructors in java.security with parameters of type AlgorithmParametersSpi
Modifier
Constructor
Description
`protected`
`AlgorithmParameters(AlgorithmParametersSpi paramSpi, Provider provider, String algorithm)`
Creates an `AlgorithmParameters` object.